Package com.mouseviator.fsuipc.helpers

# Enum LuaHelper.LuaControlRequestCommand

java.lang.Object
java.lang.Enum<LuaHelper.LuaControlRequestCommand>
com.mouseviator.fsuipc.helpers.LuaHelper.LuaControlRequestCommand

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LuaHelper.LuaControlRequestCommand>`, `java.lang.constant.Constable`

Enclosing class:
  LuaHelper

    public static enum LuaHelper.LuaControlRequestCommand
    extends java.lang.Enum<LuaHelper.LuaControlRequestCommand>

An enumeration representing a command for `LuaHelper.LuaControlRequest`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `LUA` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to start lua program.
  `LUA_CLEAR` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to clear flag for specified lua program.
  `LUA_DEBUG` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to debug lua program.
  `LUA_KILL` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to kill lua program.
  `LUA_SET` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to set flag for specified lua program.
  `LUA_TOGGLE` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to toggle flag for specified lua program.
  `LUA_VALUE` | A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to set specific value at ipc param for specified lua program.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LuaHelper.LuaControlRequestCommand` | `get​(java.lang.String value)` | Returns `LVarHelper.LVarControlRequestCommand` by corresponding string value.
  `java.lang.String` | `getValue()` |
  `static LuaHelper.LuaControlRequestCommand` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static LuaHelper.LuaControlRequestCommand[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LUA

    public static final LuaHelper.LuaControlRequestCommand LUA
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to start lua program.

  - ### LUA_VALUE

    public static final LuaHelper.LuaControlRequestCommand LUA_VALUE
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to set specific value at ipc param for specified lua program.

  - ### LUA_DEBUG

    public static final LuaHelper.LuaControlRequestCommand LUA_DEBUG
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to debug lua program.

  - ### LUA_KILL

    public static final LuaHelper.LuaControlRequestCommand LUA_KILL
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to kill lua program.

  - ### LUA_SET

    public static final LuaHelper.LuaControlRequestCommand LUA_SET
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to set flag for specified lua program.

  - ### LUA_CLEAR

    public static final LuaHelper.LuaControlRequestCommand LUA_CLEAR
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to clear flag for specified lua program.

  - ### LUA_TOGGLE

    public static final LuaHelper.LuaControlRequestCommand LUA_TOGGLE
    A constant being used by `LuaHelper.LuaControlRequest` request internally for creating string telling FSUIPC to toggle flag for specified lua program.

- ## Method Details

  - ### values

    public static LuaHelper.LuaControlRequestCommand[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LuaHelper.LuaControlRequestCommand valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public java.lang.String getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static LuaHelper.LuaControlRequestCommand get​(java.lang.String value) throws java.security.InvalidParameterException
    Returns `LVarHelper.LVarControlRequestCommand` by corresponding string value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `LVarHelper.LVarControlRequestCommand` by corresponding string value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.